%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           lekhonee
Version:        0.7
Release:        10%{?dist}
Summary:        A blog client

Group:          Applications/Internet
License:        GPLv2
URL:            http://fedorahosted.org/lekhonee
Source0:        https://fedorahosted.org/releases/l/e/lekhonee/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools, PyQt4-devel, desktop-file-utils, PyKDE4-devel
Requires:       PyQt4, mx, PyKDE4, python-magic
Requires:       %{name}-lib = %{version}-%{release}

%description
A desktop wordpress client

%package        lib
Summary:        The backend library for wordpress desktop client
Group:          Development/Languages

%description    lib
The backend library for wordpress desktop client

%package        gnome
Summary:        Wordpress desktop client frontend for Gnome
Group:          Applications/Internet
Requires:       gnome-python2-gtkspell, pygtksourceview, pywebkitgtk, %{name}-lib, python-magic
Requires:       %{name}-lib = %{version}-%{release}

%description    gnome
Wordpress desktop client frontend for Gnome



%prep
%setup -q
sed -i -e "s|#!/usr/bin/env python||" Chotha/LekhoneeUI.py


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-install                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications           \
%{buildroot}/%{_datadir}/applications/lekhonee.desktop

desktop-file-install                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications           \
%{buildroot}/%{_datadir}/applications/lekhonee-gnome.desktop


rm  -rf %{buildroot}/%{_sysconfdir}/chotha.data

%clean
rm -rf $RPM_BUILD_ROOT

%files lib
%defattr(-,root,root,-)
%{python_sitelib}/lekhoneeblog/*

%files gnome
%defattr(-,root,root,-)
%{_bindir}/lekhonee-gnome
%{_datadir}/chotha/gnome-frontend/*
%{_datadir}/pixmaps/lekhonee-gnome.png
%{_datadir}/applications/lekhonee-gnome*.desktop

%files
%doc docs/README docs/ChangeLog docs/COPYING
%{_bindir}/lekhonee
%{_datadir}/pixmaps/lekhonee.png
%{_datadir}/pixmaps/chotha/*
%{_datadir}/applications/lekhonee.desktop
%{python_sitelib}/Chotha/*
%{python_sitelib}/*.egg-info

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Kushal Das <kushal@fedoraproject.org> 0.7-1
- New release

* Fri Jul 03 2009 Kushal Das <kushal@fedoraproject.org> 0.6-1
- New release

* Tue Jun 30 2009 Kushal Das <kushal@fedoraproject.org> 0.5-3
- Fixing requires issue

* Tue Jun 30 2009 Kushal Das <kushal@fedoraproject.org> 0.5-2
- Fixing requires issue

* Tue Jun 30 2009 Kushal Das <kushal@fedoraproject.org> 0.5-1
- New release

* Wed Jun 17 2009 Kushal Das <kushal@fedoraproject.org> 0.4-5
- Fixed more bugs

* Wed Jun 17 2009 Kushal Das <kushal@fedoraproject.org> 0.4-4
- Fixed more bugs and a new release of the source

* Wed Jun 17 2009 Kushal Das <kushal@fedoraproject.org> 0.4-3
- Fixed more bugs

* Wed Jun 17 2009 Kushal Das <kushal@fedoraproject.org> 0.4-2
- Fixed more bugs

* Mon Jun 15 2009 Kushal Das <kushal@fedoraproject.org> 0.4-1
- testing dividing into subpackages

* Wed May 13 2009 Kushal Das <kushal@fedoraproject.org> 0.3.1-1
- New release of the source

* Tue May 12 2009 Kushal Das <kushal@fedoraproject.org> 0.3-1
- New release of the source

* Mon Oct 20 2008 Kushal Das <kushal@fedoraproject.org> 0.2.1-1
- New release of the source

* Mon Oct 20 2008 Kushal Das <kushal@fedoraproject.org> 0.2-6
- Fixed the desktop file issue

* Mon Oct 20 2008 Kushal Das <kushal@fedoraproject.org> 0.2-5
- New desktop file line

* Mon Oct 20 2008 Kushal Das <kushal@fedoraproject.org> 0.2-4
- Changed to new source

* Mon Oct 20 2008 Kushal Das <kushal@fedoraproject.org> 0.2-3
- Fixing rpmlint errors

* Wed Oct 15 2008 Kushal Das <kushal@fedoraproject.org> 0.2-2
- Initial release
